FSStoreOpHandler.StoreType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.nodelabels.store, class: FSStoreOpHandler, enum: StoreType

Package org.apache.hadoop.yarn.nodelabels.store

# Enum Class FSStoreOpHandler.StoreType

java.lang.Object
java.lang.Enum<FSStoreOpHandler.StoreType>
org.apache.hadoop.yarn.nodelabels.store.FSStoreOpHandler.StoreType

All Implemented Interfaces:
  `Serializable`, `Comparable<FSStoreOpHandler.StoreType>`, `Constable`

Enclosing class:
  org.apache.hadoop.yarn.nodelabels.store.FSStoreOpHandler

public static enum FSStoreOpHandler.StoreType extends Enum<FSStoreOpHandler.StoreType>
Store Type enum to hold label and attribute.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NODE_ATTRIBUTE`
  `NODE_LABEL_STORE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FSStoreOpHandler.StoreType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FSStoreOpHandler.StoreType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NODE_LABEL_STORE

    public static final FSStoreOpHandler.StoreType NODE_LABEL_STORE

  - ### NODE_ATTRIBUTE

    public static final FSStoreOpHandler.StoreType NODE_ATTRIBUTE

- ## Method Details

  - ### values

    public static FSStoreOpHandler.StoreType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FSStoreOpHandler.StoreType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null